// Include only once
#ifndef D_HPP
#define D_HPP

// Include header files
#include <B.hpp>

/**
 * @ref D is a simple derived class with defaulted constructors and destructor.
 */
class D : public B {

  /**
   * @name Constructors and Destructor
   */
  //@{

  /**
   * @ref D uses the compiler generated default constructor.
   */
 public:
  D() = default;

  /**
   * @ref D uses the compiler generated copy constructor.
   */
 public:
  D(const D&) = default;

  /**
   * @ref D uses the compiler generated move constructor.
   */
 public:
  D(D&&) = default;

  /**
   * @ref D uses the compiler generated destructor.
   */
 public:
  ~D() = default;

  // End Constructors and Destructor
  //@}

  // End D definition.
};

// End check for multiple inclusion
#endif
